Authentication
Administrator. Session/administrative writes are not executed in the public Playground.
Endpoint
curl --request POST 'https://api.oneaster.ai/core/v1/admin/tasks/00000000-0000-4000-8000-000000000001/reconcile' \ --header 'Authorization: Bearer '"$ONEASTER_SESSION_TOKEN" \ --header 'Content-Type: application/json' \ --data "$REQUEST_BODY_JSON"
Parameters
- id (path, Required): {"type":"string","format":"uuid"}
Request JSON Schema
{
"type": "object",
"additionalProperties": false,
"properties": {
"action": {
"enum": [
"release",
"settle"
]
},
"reference": {
"type": "string",
"minLength": 1,
"maxLength": 300
}
},
"required": [
"action",
"reference"
]
}
Responses
200
未知图片/视频任务按原报价核账
{
"application/json": {
"schema": {
"type": "object",
"additionalProperties": false,
"properties": {
"success": {
"const": true
},
"data": {
"type": "object",
"additionalProperties": false,
"properties": {
"id": {
"type": "string",
"format": "uuid"
},
"reused": {
"type": "boolean"
},
"billing_state": {
"enum": [
"settled",
"released"
]
}
},
"required": [
"id",
"reused",
"billing_state"
]
}
},
"required": [
"success",
"data"
]
}
}
}
default
错误代码见 core-api.md;供应商/数据库错误已隐藏。
{
"application/json": {
"schema": {
"type": "object",
"additionalProperties": false,
"properties": {
"success": {
"const": false
},
"error": {
"type": "object",
"additionalProperties": false,
"properties": {
"code": {
"type": "string"
},
"message": {
"type": "string"
},
"type": {
"const": "oneaster_error"
}
},
"required": [
"code",
"message",
"type"
]
},
"data": {
"type": "null"
}
},
"required": [
"success",
"error",
"data"
]
}
}
}